ManyToOneTranslationTable (BioJava-1.5-beta API)
Keywords: org.biojava.bio.symbol.ManyToOneTranslationTable interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.symbol
Interface ManyToOneTranslationTable

All Superinterfaces:
  TranslationTable

All Known Implementing Classes:
  AbstractManyToOneTranslationTable, SimpleManyToOneTranslationTable

    public interface ManyToOneTranslationTable

extends TranslationTable

A translation table that will handle the many-to-one mappings that you see, for example, with genetic codes.

It differs from a ReversibleTranslationTable in that the reverse translation returns a Set of Symbols in the source alphabet that translate to give that Symbol in the target Alphabet.

Author:
  David Huen

Field Summary

Fields inherited from interface org.biojava.bio.symbol.TranslationTable
`ALT_YEAST_NUC, ASCID_MITO, BLEPH_MNUC, CILIATE_NUC, ECHIN_MITO, EUPL_NUC, FWORM_MITO, INVERT_MITO, MOLD_MITO, UNIVERSAL, VERT_MITO, YEAST_MITO`

Method Summary
`Set` | `untranslate(Symbol sym)` Translate a single symbol from target alphabet to the source alphabet.

Methods inherited from interface org.biojava.bio.symbol.TranslationTable
`getSourceAlphabet, getTargetAlphabet, translate`

Method Detail

### untranslate

    Set untranslate(Symbol sym)
                    throws IllegalSymbolException

  Translate a single symbol from target alphabet to the source alphabet.

  Parameters:
    `sym` - the Symbol to reverse-translate (member of target alphabet)
  Returns:
    a Set containing symbols that translate to the specified Symbol.
  Throws:
    `IllegalSymbolException` - if sym is not a member of the target alphabet

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD